#!/usr/bin/perl

## --------------------------------------------------------------------------------
##  $Id: release.pl,v 1.1 2003/01/20 21:24:33 joko Exp $
## --------------------------------------------------------------------------------
##  $Log: release.pl,v $
##  Revision 1.1  2003/01/20 21:24:33  joko
##  + some convenient shortcut-scripts around tar and scp - please this path to your PATH to get maximum satisfaction out of it!
##
## --------------------------------------------------------------------------------


use strict;
use warnings;


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   preambel

# determine and set 'libpath' at runtime, but before execution
my $libpath;
BEGIN {
  use FindBin qw($Bin);
  $libpath = "$Bin/../../libs";
}

# use '$libpath' path to look for additional modules
use lib $libpath;


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   main

use org::netfrag::shortcuts qw( run_cmd run_cmds );
use org::netfrag::pkgTools qw( mkSnapshotFilename );


my $arg1 = shift;
die "Please specify item to release on the command-line." if !$arg1;

my $item = $arg1;

my $snapName = mkSnapshotFilename($item);
run_cmd("mkSnapshot.pl $snapName $item", "Trying to make snapshot from '$item': $snapName");
run_cmd("upload.pl $snapName", "Trying to upload '$snapName'.");

1;
__END__
